* {
  box-sizing: border-box;
}

p{
    line-height: 1.7;
    font-family: 'Klee One', cursive;
    font-weight: 400;
    font-style: normal;
 
}





.moji{
    display:flex;
    justify-content: center;
   
}

.moji img{
    width:100%;
    max-width: 320px;
    height: auto;
    margin-top: 12px;
    margin-bottom: 12px;
}



.gif{
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.layer1{ z-index: 1; }
.layer2{ z-index: 2; 
         transform: scale(0.82);
        }
.layer3{ z-index: 3; 
        transform: scale(0.82);
        }

.gif-main{
  transform: scale(1.08);
}


body.lock{
  overflow: hidden;
}

.intro-lock{
  height: auto;
  min-height: 100vh;
  position:relative;
  
}

.intro-lock.end{
    height: auto;
    min-height: auto;
    padding-top: 0px;
    padding-bottom: 24px;
    position:relative;
    
}

.gif-wrap{
  position: fixed;
  top: 50%;
  left: 50%;
  width: 700px;
  height: 350px;
  transform: translate(-50%, -50%) scale(1.5);
  z-index: 1000;
  
}



.gif-wrap.is-normal{
  position:static;
  top: auto;
  left: auto;
  transform:  scale(1.5);
  margin: 0 auto ;
}

.gif-spacer{
  height: 0;
}

.intro-lock.end .gif-spacer{
  height:24vh; 
}

.intro-lock.end .gif-wrap{
  position: relative;
  top: auto;
  left: auto;
  transform: scale(1.5);
}


.Moji{
   max-width: 240px;
   position:fixed;
   top:24px;
   left:50%;
   transform:translateX(-50%);
   z-index: 1000;
   /* background: rgba(245, 240, 224, 0.7); */
   padding:0px;
   /* border-radius: 12px; */
   /* backdrop-filter: blur(4px); */
}


.profile{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 48px;
    max-width: 100%;
    margin: 48px auto;
    padding: 0 0px;
    align-items: center;
}

.teacher{
    background-color:rgba(84, 74, 65, 0.35);
    color: #363d3f;
    text-align: center;
    border-radius: 12px;
    min-width: 0;
}

.yui{
    background-color:rgba(77, 133, 148, 0.5);
    color: #363d3f;
    text-align: center;
    border-radius: 12px;
    min-width: 0;
}

.people-illust{
 max-width: 40%;
  max-height: 40%;
  width:auto;
  height: auto;
  margin-top: 16px;
  margin-bottom: 0px;
}


body.index-page{
    /* background-color: #ffe2c7; */
    background-image: url("back0.png");
     background-size: cover;
    background-position: center;
}

.card{
    width:100%;
    display: block;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: center;
    border-radius: 12px;
    padding: 24px;
    min-height: 300px;
    margin-top: 64px;
    margin-bottom: 24px;
    margin-left: 0;
    margin-right: 0;
    
}

.fixed-illust{
 max-width: 100%;
  max-height: 80%;
  width:100%;
  height: auto;
  margin-top: 24px;
  margin-bottom: 24px;
}

.click1{
  padding: 4px 24px;
  margin-top: 20px;
  position:relative;
  background-color: rgba(148, 111, 77, 0.5);
  color: #544a41;
  border-radius: 12px;
  display:inline-block;
}

.click2{
  padding: 4px 24px;
  margin-top: 20px;
  position:relative;
  background-color: rgba(156, 235, 255, 0.5);
  color: #544a41;
  border-radius: 12px;
  display:inline-block;
}

.click3{
  padding: 4px 24px;
  margin-top: 20px;
  position:relative;
  background-color: rgba(77, 133, 148, 0.5);
  color: #544a41;
  border-radius: 12px;
  display:inline-block;
}

.container{
    margin:64px auto 0px;
    padding-bottom: 160px;
    padding-top:120px;
    width: min(600px,92%);
    min-height: 100vh;
}


.container0{
    margin:64px auto 0px;
    padding-bottom: 0px;
    padding-top:120px;
    width: min(600px,92%);
    min-height: 100vh;
}

body{
  overflow-x: hidden;
}

.chapter-area{
  width: 100%;
  overflow: hidden; 
}

.chapter-spacer{
  /* height: calc(100vw + 100vh); */
  height: 180vh;
}

.chapter-wrap{
  /* position: sticky; */
  top: 0;
  height: 100vh;
  overflow: hidden;
}

.chapter-track{
  display: flex;
  width: max-content;
}

.chapter {
  margin-top: 0px;
  flex: 0 0 480px;
  transition: transform 0.3s ease;
} 





.Q,.a{
  display: grid;
  grid-template-columns: 4em 1fr;
  column-gap: 24px;
  align-items: start;
  margin-left: -4em;
 
}

.Q p,.a p{
    margin:0;
}

.speaker {
  font-family: 'Klee One', cursive;
  font-weight: 400;
  font-style: normal; 
  text-align: right;
  white-space: nowrap;
  line-height: 1.7;
  
  
}




.fukidashi {
  position: fixed;
  right: 24px;
  bottom: 24px;
  z-index: 1000;

  width: 180px;
  height: 120px;
  padding-bottom: 12px;
  padding-left: 0px;

  background-image: url("fukidashi2.png");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;

  display: flex;
  align-items: center;
  justify-content: center;

  font-family: 'Klee One', cursive;
  font-weight: 400;
  font-style: normal;
  font-size: 18px;
  color: #544a41;
  text-decoration: none;
}



body.detail1-page{
  min-height: 100vh;
  background-color: #946f4d;
  position: relative;
  overflow-x: hidden;
}

body.detail1-page::before,
body.detail1-page::after{
  content: "";
  position: fixed;
  top: 0;
  height: 100vh;
  width: clamp(80px, 12vw, 180px);
  background-image: url("back9-1.png");
  background-repeat: no-repeat;
  background-size: auto 100%;
  pointer-events: none;
  z-index: 0;
}

body.detail1-page::before{
  left: 0;
  background-position: left center;
}

body.detail1-page::after{
  right: 0;
  background-position: right center;
}

.container{
  position: relative;
  z-index: 1;
}

    




.question1{
  opacity: 0;
  transform: translateY(24px);
  padding: 20px 20px;
  margin:24px 0;
  position:relative;
  /* background: #ffe2c7; */
  color: #F5F0E0;
  /* border-radius: 12px; */
  
}

.Answer1 {
  opacity: 0;
  transform: translateY(24px);
  /* background:#544a41; */
  color: #F5F0E0;
  border-radius: 12px;
  padding: 20px 20px;
  margin:24px 0;

} 


.illust{
  width:100%;
  display:flex;
  justify-content: center;
  margin: 0;
}

.illust img{
 max-width: 70%;
  max-height: 70%;
  width:auto;
  height: auto;
}


body.detail2-page{
  min-height: 100vh;
  background-color: #9cebff;
  position: relative;
  overflow-x: hidden;
}

body.detail2-page::before,
body.detail2-page::after{
  content: "";
  position: fixed;
  top: 0;
  height: 100vh;
  width: clamp(80px, 12vw, 180px);
  background-image: url("back9-3.png");
  background-repeat: no-repeat;
  background-size: auto 100%;
  pointer-events: none;
  z-index: 0;
}

body.detail2-page::before{
  left: 0;
  background-position: left center;
}

body.detail2-page::after{
  right: 0;
  background-position: right center;
}

.container{
  position: relative;
  z-index: 1;
}


.question2{
  opacity: 0;
  transform: translateY(24px);
  padding: 20px 20px;
  margin: 24px 0;
  position:relative;
  /* background:#4D8594; */
  color: #544a41;
  /* border-radius: 12px; */
 
}

.Answer2 {
  opacity: 0;
  transform: translateY(24px);
  /* background: #544a41; */
  color: #544a41;
  /* border-radius: 12px; */
  padding: 20px 20px;
  margin: 24px 0;
} 


body.detail3-page{
  min-height: 100vh;
  background-color: #4d8594;
  position: relative;
  overflow-x: hidden;
}

body.detail3-page::before,
body.detail3-page::after{
  content: "";
  position: fixed;
  top: 0;
  height: 100vh;
  width: clamp(80px, 12vw, 180px);
  background-image: url("back9-2.png");
  background-repeat: no-repeat;
  background-size: auto 100%;
  pointer-events: none;
  z-index: 0;
}

body.detail3-page::before{
  left: 0;
  background-position: left center;
}

body.detail3-page::after{
  right: 0;
  background-position: right center;
}

.container{
  position: relative;
  z-index: 1;
}


.question3{
  opacity: 0;
  transform: translateY(24px);
  padding: 20px 20px;
  margin: 48px 0;
  position:relative;
  /* background:#9CEBFF; */
  color: #ffe2c7;
  /* border-radius: 12px; */
  
}

.Answer3 {
  opacity: 0;
  transform: translateY(24px);
  /* background: #363d3f; */
  color: #ffe2c7;
  /* border-radius: 12px; */
  padding: 20px 20px;
  margin: 48px 0;
} 

@media (max-width:600px){


  .chapter {
    flex: 0 0 80vw;
  }


    .profile{
        grid-template-columns: 1fr;
        justify-items: center;
    }

    .people-illust{
        max-width: 40%;
        max-height: 40%;
        width:auto;
        height: auto;
        margin-top: 16px;
        margin-bottom: 0px;
    }

    .gif-wrap{
    width: 90vw;
    aspect-ratio: 2 / 1;
    transform: translate(-50%, -50%) scale(1);
    }

    .gif-wrap.is-normal{
    transform: scale(1); 
    }

    
  .intro-lock.end .gif-wrap{
    transform: scale(1) !important;
  }


     .teacher,.yui{
    max-width: 160px;   
    width: 100%;
    
  }

  .container0{
    margin:32px auto 0px;
    padding-bottom: 0px;
    padding-top:120px;
    width: min(600px,92%);
    min-height: 100vh;
}

    .Q,.a{
    display: block;
    margin-left: 0;
  }

  .speaker{
    display: block;
    text-align: left;
    margin-bottom: 6px; 
  }

  
  body.detail1-page{
    background-image: none;
    background-color: #946f4d;
  
}


 .fukidashi {
    width: 96px;
    height: 72px;
    font-size: 13px;
    right: 0px;
    bottom: 0px;
    padding-top: 8px;
  }



.moji img{
    width:100%;
    max-width: 240px;
    height: auto;
    margin-top: 24px;
}


.Moji{
   max-width: 180px;
   position:fixed;
   top:24px;
   left:50%;
   transform:translateX(-50%);
   z-index: 1000;
   /* background: rgba(245, 240, 224, 0.7); */
   padding:0px;
   /* border-radius: 12px; */
   /* backdrop-filter: blur(4px); */
}

}

/* 画面が小さい時は左右の柄を消す */
@media (max-width: 768px){
  body.detail1-page::before,
  body.detail1-page::after{
    display: none;
  }
  
   body.detail2-page::before,
  body.detail2-page::after{
    display: none;
  }

   body.detail3-page::before,
  body.detail3-page::after{
    display: none;
  }

  
}


@media (min-width: 768px) and (max-width: 1024px){
  body.detail1-page::before,
  body.detail1-page::after{
    width: 90px;
  }

  body.detail2-page::before,
  body.detail2-page::after{
    width: 90px;
  }

  body.detail3-page::before,
  body.detail3-page::after{
    width: 90px;
  }


  .card{
    margin-bottom: 8px;
  }


 .container0{
    margin:32px auto 0px;
    padding-bottom: 0px;
    padding-top:120px;
    width: min(600px,92%);
    min-height: 100vh;
}

}